com.io7m.jtensors.bytebuffered.parameterized

## Interface PVectorByteBuffered4IType<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    ByteBufferedType, PVector2IType<T>, PVector3IType<T>, PVector4IType<T>, PVectorByteBuffered2IType<T>, PVectorByteBuffered3IType<T>, PVectorReadable2IType<T>, PVectorReadable3IType<T>, PVectorReadable4IType<T>, PVectorWritable2IType<T>, PVectorWritable3IType<T>, PVectorWritable4IType<T>, Vector2IType, Vector3IType, Vector4IType, VectorReadable2IType, VectorReadable3IType, VectorReadable4IType, VectorWritable2IType, VectorWritable3IType, VectorWritable4IType
  All Known Implementing Classes:
    PVectorByteBufferedM4I

      public interface PVectorByteBuffered4IType<T>
      extends PVector4IType<T>, PVectorByteBuffered3IType<T>

  The type of `PVector4IType` values that are also byte buffered.
  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable4IType

      `copyFromTyped4I`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable4IType

      `getWI`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable4IType

      `copyFrom4I, set4I, setWI`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable3IType

      `copyFromTyped3I`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable3IType

      `getZI`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3IType

      `copyFrom3I, set3I, setZI`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable2IType

      `copyFromTyped2I`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable2IType

      `getXI, getYI`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2IType

      `copyFrom2I, set2I, setXI, setYI`

    - ### Methods inherited from interface com.io7m.jtensors.bytebuffered.ByteBufferedType

      `getByteOffset, setByteOffset`

Copyright © 2017 <code@io7m.com> http://io7m.com